<!-- llms.txt: https://workos.com/llms.txt -->

# Organizations

Organization-scoped User Management endpoints. These operate on an
[organization](https://workos.com/docs/reference/organization) and its members within AuthKit.

## List authorized applications

Get a list of all Connect applications that users in the organization have authorized.

#### Request

```bash
curl "https://api.workos.com/organizations/org_01EHZNVPK3SFK441A1RGBFSHRT/authorized_applications" \
  --header "Authorization: Bearer sk_example_123456789"
```

```rb
require "workos"

WorkOS.configure do |config|
  config.api_key = "sk_example_123456789"
end

WorkOS.client.organizations.list_authorized_applications(organization_id: "org_01EHZNVPK3SFK441A1RGBFSHRT")
```

```py
from workos import WorkOSClient

client = WorkOSClient(api_key="sk_example_123456789", client_id="client_123456789")

client.organizations.list_authorized_applications(
    organization_id="org_01EHZNVPK3SFK441A1RGBFSHRT"
)
```

```go
package main

import (
	"context"

	"github.com/workos/workos-go/v9"
)

func main() {
	client := workos.NewClient("sk_example_123456789")

	_, err := client.Organizations().ListAuthorizedApplications(context.Background(), "org_01EHZNVPK3SFK441A1RGBFSHRT")
	if err != nil {
		panic(err)
	}
}
```

```php
<?php

use WorkOS\WorkOS;

$workos = new WorkOS(
    apiKey: "sk_example_123456789",
    clientId: "client_123456789",
);

$workos
    ->organizations()
    ->listAuthorizedApplications(
        organizationId: "org_01EHZNVPK3SFK441A1RGBFSHRT",
    );
```

```java
import com.workos.WorkOS;

WorkOS workos = new WorkOS("sk_example_123456789");

workos.organizations.listAuthorizedApplications("org_01EHZNVPK3SFK441A1RGBFSHRT");
```

```cs
using WorkOS;

var client = new WorkOSClient(new WorkOSOptions {
    ApiKey = "sk_example_123456789",
    ClientId = "client_123456789",
});

await client.Organizations.ListAuthorizedApplicationsAsync("org_01EHZNVPK3SFK441A1RGBFSHRT");
```

```rust
use workos::Client;

#[tokio::main]
async fn main() -> Result<(), workos::Error> {
    let client = Client::builder()
        .api_key("sk_example_123456789")
        .client_id("client_123456789")
        .build();

    let _result = client
        .organizations()
        .list_authorized_applications("org_01EHZNVPK3SFK441A1RGBFSHRT")
        .await?;

    Ok(())
}
```

#### Response

```json
{
  "object": "list",
  "data": [
    {
      "object": "authorized_connect_application",
      "id": "authorized_connect_app_01HXYZ123456789ABCDEFGHIJ",
      "granted_scopes": [
        "openid",
        "profile",
        "email"
      ],
      "oauth_resource": "https://api.example.com/resource",
      "application": {
        "application_type": "oauth",
        "redirect_uris": [
          {
            "uri": "https://example.com/callback",
            "default": true
          }
        ],
        "uses_pkce": true,
        "is_first_party": true,
        "object": "connect_application",
        "id": "conn_app_01HXYZ123456789ABCDEFGHIJ",
        "client_id": "client_01HXYZ123456789ABCDEFGHIJ",
        "description": "An application for managing user access",
        "name": "My Application",
        "scopes": [
          "openid",
          "profile",
          "email"
        ],
        "created_at": "2026-01-15T12:00:00.000Z",
        "updated_at": "2026-01-15T12:00:00.000Z"
      },
      "user_id": "user_01E4ZCR3C56J083X43JQXF3JK5"
    }
  ],
  "list_metadata": {
    "before": "authorized_connect_app_01HXYZ123456789ABCDEFGHIJ",
    "after": "authorized_connect_app_01HXYZ987654321KJIHGFEDCBA"
  }
}
```

### GET /organizations/{organization_id}/authorized_applications

#### Parameters

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `organization_id` | string | Yes | The ID of the organization. |
| `before` | string | No | An object ID that defines your place in the list. When the ID is not present, you are at the end of the list. For example, if you make a list request and receive 100 objects, ending with `"obj_123"`, your subsequent call can include `before="obj_123"` to fetch a new batch of objects before `"obj_123"`. |
| `after` | string | No | An object ID that defines your place in the list. When the ID is not present, you are at the end of the list. For example, if you make a list request and receive 100 objects, ending with `"obj_123"`, your subsequent call can include `after="obj_123"` to fetch a new batch of objects after `"obj_123"`. |
| `limit` | integer | No | Upper limit on the number of objects to return, between `1` and `100`. Defaults to `10`. |
| `order` | "normal" \| "desc" \| "asc" | No | Order the results by the creation time. Supported values are `"asc"` (ascending), `"desc"` (descending), and `"normal"` (descending with reversed cursor semantics where `before` fetches older records and `after` fetches newer records). Defaults to `desc`. |